bind-dyndb-ldap with SOA serial autoincrement was released. Bump
the package version in the spec file. The version is bumped for
F18 only as it was released only to rawhide and we don't want to
break development on F17.

https://fedorahosted.org/freeipa/ticket/2554
>From 9408bce462b4b5790b5d3ff48601d72f58309463 Mon Sep 17 00:00:00 2001
From: Martin Kosek <mko...@redhat.com>
Date: Thu, 2 Aug 2012 16:25:15 +0200
Subject: [PATCH] Bump bind-dyndb-ldap version for F18

bind-dyndb-ldap with SOA serial autoincrement was released. Bump
the package version in the spec file. The version is bumped for
F18 only as it was released only to rawhide and we don't want to
break development on F17.

https://fedorahosted.org/freeipa/ticket/2554
---
 freeipa.spec.in | 8 ++++++++
 1 file changed, 8 insertions(+)

diff --git a/freeipa.spec.in b/freeipa.spec.in
index 6b24a0b0dc5f4e38ec0adab74fbbbeb20f25bb8a..84aaa0dfe5d553ab2fa57779ac019529a3953cc4 100644
--- a/freeipa.spec.in
+++ b/freeipa.spec.in
@@ -175,7 +175,11 @@ Requires: keyutils
 # We have a soft-requires on bind. It is an optional part of
 # IPA but if it is configured we need a way to require versions
 # that work for us.
+%if 0%{?fedora} >= 18
+Conflicts: bind-dyndb-ldap < 1.1.0-0.15.rc1
+%else
 Conflicts: bind-dyndb-ldap < 1.1.0-0.12.rc1
+%endif
 Conflicts: bind < 9.8.2-0.4.rc2
 
 # mod_proxy provides a single API to communicate over SSL. If mod_ssl
@@ -747,6 +751,10 @@ fi
 %ghost %attr(0644,root,apache) %config(noreplace) %{_sysconfdir}/ipa/ca.crt
 
 %changelog
+* Thu Aug 2 2012 Martin Kosek <mko...@redhat.com> - 2.99.0-40
+- Set min for bind-dyndb-ldap to 1.1.0-0.15.rc1 to pick up SOA serial autoincrement
+  feature
+
 * Tue Jul 24 2012 Rob Crittenden <rcrit...@redhat.com> - 2.99.0-39
 - Set minimum certmonger to 0.58 for dogtag cert renewal
 
-- 
1.7.11.2

_______________________________________________
Freeipa-devel mailing list
Freeipa-devel@redhat.com
https://www.redhat.com/mailman/listinfo/freeipa-devel

Reply via email to